Skip to main content
POST
/
api
/
trpc
/
project.delete
Delete Project
curl --request POST \
  --url https://app.tryiris.dev/api/trpc/project.delete \
  --header 'Content-Type: application/json' \
  --header 'IRIS_ACCESS_TOKEN: <iris_access_token>' \
  --data '
{
  "where.id": "<string>"
}
'
[
  {
    "result": {
      "data": {
        "json": {
          "id": "1d770588-9e9c-4649-b054-c7838e461187",
          "name": "Example Project",
          "description": "A test automation project",
          "isActive": true,
          "organizationId": "6ae3ce30-c530-4a80-b9eb-d7acfcf7ee73",
          "createdAt": "2025-01-01T07:32:50.124Z",
          "updatedAt": "2025-01-01T07:32:50.124Z"
        },
        "meta": {
          "values": {
            "createdAt": ["Date"],
            "updatedAt": ["Date"]
          }
        }
      }
    }
  }
]

Delete Project

Delete an existing project by its ID.

Headers

IRIS_ACCESS_TOKEN
string
required
Your Iris API access token

Body

where.id
string
required
The unique identifier of the project to delete

Response

Returns the deleted project details upon success.
{
  "0": {
    "json": {
      "where": {
        "id": "<project-id>"
      }
    }
  }
}
[
  {
    "result": {
      "data": {
        "json": {
          "id": "1d770588-9e9c-4649-b054-c7838e461187",
          "name": "Example Project",
          "description": "A test automation project",
          "isActive": true,
          "organizationId": "6ae3ce30-c530-4a80-b9eb-d7acfcf7ee73",
          "createdAt": "2025-01-01T07:32:50.124Z",
          "updatedAt": "2025-01-01T07:32:50.124Z"
        },
        "meta": {
          "values": {
            "createdAt": ["Date"],
            "updatedAt": ["Date"]
          }
        }
      }
    }
  }
]

Response Fields

id
string
Unique identifier of the deleted project
name
string
Name of the project
description
string
Description of the project
isActive
boolean
Whether the project was active
organizationId
string
The organization ID associated with the project
createdAt
date
Timestamp of when the project was created
updatedAt
date
Timestamp of when the project was last updated